Subject: bug#77406: closed (Re: bug#77911: Kodi-wayland won't compile)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 May 2025 16:51:02 +0000

Your bug report

#77406: [PATCH sysadmin-team] gnu: spdlog: Update to 1.15.2.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77406: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77406
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77911: Kodi-wayland won't compile
From: Greg Hogan <[email-masked]>
To: André Batista <[email-masked]>
Cc: [email-masked], [email-masked], Dylan Connell <[email-masked]>, [email-masked]
Date: Fri, 2 May 2025 12:50:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Apr 24, 2025 at 5:52 PM André Batista <[email-masked]> wrote:
>
> Hi, this bug is due to the same issue reported by Dariqq on #77964,
> which already has a proposed fix by Greg.  After applying that patch
> series on top of 85b5c2c8f66aed05730f6c7bdeabfaadf619bb8f and
> removing 'fmt' from the list of kodi inputs, I've successfully built
> it on a x86_64 system.
>
> Cheers!

I have left "fmt" as an input to kodi since there is no longer a
conflict with "spdlog" (which has been reverted to version 1.13).
j4-dmenu-desktop depends on spdlog-1.15 which is incompatible with the
unversioned "fmt". It's no harm to duplicate a propagated input.

After rechecking that all dependent packages build (except the broken
rxcpp) I have pushed #77406 as
c53da8704b64e835d563b1b1ca64a44f0d1d9746 and #77964 as
0b83a27b67ae92e988795322ae988518ec3e6972.

Greg

Subject: [PATCH sysadmin-team] gnu: spdlog: Update to 1.15.2.
From: Greg Hogan <[email-masked]>
To: [email-masked]
Cc: Greg Hogan <[email-masked]>
Date: Mon, 31 Mar 2025 15:17:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/logging.scm (spdlog): Update to 1.15.2.

Change-Id: I876cb160023f53033f0921529934c008d38c2a07
---
 gnu/packages/logging.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/logging.scm b/gnu/packages/logging.scm
index b5431566fe..7425cd2740 100644
--- a/gnu/packages/logging.scm
+++ b/gnu/packages/logging.scm
@@ -239,7 +239,7 @@ (define-public multitail
 (define-public spdlog
   (package
     (name "spdlog")
-    (version "1.15.1")
+    (version "1.15.2")
     (source
      (origin
        (method git-fetch)
@@ -248,7 +248,7 @@ (define-public spdlog
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "1drpbn7b6iikypdlsvzpcjwyls0rqzl7sz7f7xjbn3d7ic55a1p1"))))
+        (base32 "0n6i8d5aycvp9n2zz2rz67s1y19cw9m5j3pk4719d3a5czh4267m"))))
     (build-system cmake-build-system)
     ;; TODO run benchmark. Currently not possible, as adding
     ;; (gnu packages benchmark) forms a dependency cycle

base-commit: 773014994fa486727df9c335c778ec678c691075
-- 
2.49.0